Participant APIs | REST

Selected Version:
Download Open API File

Returns a list of communications

https://api.wealthcare.com/participant/services/communications/{tpaId}/{employerId}/{participantId}

This operation will retrieve a list of notifications, alerts, and other messages sent to participants.

Request

  • tpaId string Required

    A unique identifier used to identify your admin instance. This value is system generated when the admin instance was created.

  • employerId string Required

    Unique identifier for the employer. Note: When the employer was created, WealthCare Admin assigned the 3-character prefix; you assigned the remaining characters.

  • participantId string Required

    Unique identifier for the participant user whose feature information is being retrieved.

  • includeLegacy boolean

    Include legacy communications

  • type string

    Filter by communication type - please see 'Communication Types' table below.

  • showLetter string

    Include letter communications (Manual Claim letter, Reimbursement letters, Receipt Notification letters)

  • decrypt integer <int32>

    Indicate if the URI parameters are encrypted or not. Use 1 for encrypted, 0 for decrypted (default is 0). This affects how the API interprets the incoming identifiers.

Response

  • array <object>
    • CommunicationRequestKey integer <int64>

      A system generated key used to identify the particular communication message.

    • CommunicationRuleType integer

      A numerical value indicating the type of communication

    • CommunicationRuleKey integer <int32>

      A system generated ID used to identify the template used to generate this communication message

    • CommunicationRuleName string

      The name of the template used to generate this communication message

    • CommunicationRuleChannels integer

      Specifies the delivery channel through which the participant received the communication message. This is a bitwise value which can indicate multiple options (I.e., a 3 represents both email and SMS)

    • Subject string

      The title of the communication message; sent as the subject in an email message.

    • InsertDte string <date-time>

      The date the communication message was created

    • UpdateDte string <date-time>

      The date the communication message was last updated

    • CommunicationVersion integer <int32>

      Indicates which version of communication this is. A one indicates the standard WCA communication offerings. A two will be used for future offerings.

    • ReadDte integer <int32>

      The date the communication message was read by the participant

  • array <object>
    • CommunicationRequestKey integer <int64>

      A system generated key used to identify the particular communication message.

    • CommunicationRuleType integer

      A numerical value indicating the type of communication

    • CommunicationRuleKey integer <int32>

      A system generated ID used to identify the template used to generate this communication message

    • CommunicationRuleName string

      The name of the template used to generate this communication message

    • CommunicationRuleChannels integer

      Specifies the delivery channel through which the participant received the communication message. This is a bitwise value which can indicate multiple options (I.e., a 3 represents both email and SMS)

    • Subject string

      The title of the communication message; sent as the subject in an email message.

    • InsertDte string <date-time>

      The date the communication message was created

    • UpdateDte string <date-time>

      The date the communication message was last updated

    • CommunicationVersion integer <int32>

      Indicates which version of communication this is. A one indicates the standard WCA communication offerings. A two will be used for future offerings.

    • ReadDte integer <int32>

      The date the communication message was read by the participant

Response Headers
No response yet.
Response Body
No response yet.
Request
Response
[
  {
    "CommunicationRequestKey": 27629,
    "CommunicationRuleType": 0,
    "CommunicationRuleKey": -1,
    "CommunicationRuleName": "Auto Denial Letter",
    "CommunicationRuleChannels": 4,
    "Subject": "Auto Denial Letter",
    "InsertDte": "2023-01-01T08:00:00Z",
    "UpdateDte": "2023-01-01T08:00:00Z",
    "CommunicationVersion": 1,
    "ReadDte": ""
  },
  {
    "CommunicationRequestKey": 27628,
    "CommunicationRuleType": 0,
    "CommunicationRuleKey": -1,
    "CommunicationRuleName": "Pending Letter #1",
    "CommunicationRuleChannels": 4,
    "Subject": "Pending Letter",
    "InsertDte": "2023-01-01T08:00:00Z",
    "UpdateDte": "2023-01-01T08:00:00Z",
    "CommunicationVersion": 1,
    "ReadDte": ""
  },
  {
    "CommunicationRequestKey": 27628,
    "CommunicationRuleType": 0,
    "CommunicationRuleKey": -1,
    "CommunicationRuleName": "Pending Letter #2",
    "CommunicationRuleChannels": 4,
    "Subject": "Pending Letter",
    "InsertDte": "2023-01-01T08:00:00Z",
    "UpdateDte": "2023-01-01T08:00:00Z",
    "CommunicationVersion": 1,
    "ReadDte": ""
  }
]

AI Assistant Preview

Generating response...